package com.steerinfo.meterwork.meterworkonline.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkonline.model.MeterWorkOnline;
import org.apache.ibatis.annotations.Mapper;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterWorkOnlineMapper extends IBaseMapper<MeterWorkOnline, String> {
    List<MeterWorkOnline> selectFor(Map<String,Object> map);

    int batchUpdateForId(ArrayList<String> ids);

    int batchUpdateForNotOnLine();

    void batchUpdateForOnLine(MeterWorkOnline model);

    void batchUpdateForNotWork();
}